The Blackfynn Web Application provides support for most currently used browsers. Specifically, it provides support for:

  • Edge (14+)
  • Firefox Quantum
  • Safari (10+)
  • Chrome (62+) 

Browsers that are not supported include older versions of the browsers mentioned above and:

  • <= IE 11
  • < Firefox Quantum
  • iOS Browsers
Did this answer your question?